import ansys.motorcad.core as MCAD
import os

mcad = MCAD.MotorCAD()

if not mcad.is_alive():
    mcad.start()

# --- 1. IMPORTAR MATERIAL PERSONALIZADO DESDE UNA CURVA ---

material_curve_path = "PATH"
material_name = "PLACond"

mcad.set_variable("ImportMaterialFile", material_curve_path)
mcad.set_variable("ImportMaterialName", material_name)
mcad.evaluate("ImportMaterial")

print(f"Material '{material_name}' importado correctamente.")

mcad.set_variable("RotorMaterial", material_name)

# --- 2. CONFIGURAR Y CORRER SIMULACIÓN ELECTROMAGNÉTICA ---

mcad.set_variable("SimulationType", "EMagnetic")

mcad.set_variable("DriveSpeed", 1700)       # rpm
mcad.set_variable("RatedCurrent", 2)        # A

mcad.evaluate("DoEmsolve")

print("Simulación electromagnética completada.")

torque_avg = mcad.get_variable("TorqueAvg")
print(f"Par promedio: {torque_avg:.2f} Nm")

mcad.quit()